{pkgs, config, ... }:
{

  services.postgresql = {
    enable = true;
    package = pkgs.postgresql_14;
    dataDir = "/var/lib/postgres/${config.services.postgresql.package.psqlSchema}";
    # dataDir = /var/lib/postgres/data;
  };

  users.users.genofire = {
    uid = 1021;
    home = "/home/genofire";
    extraGroups = ["wheel"];
    isNormalUser = true;
    useDefaultShell = true;
  };

  security.pam.services.swaylock = {};
}
